Skip to contents

# Typed list

`ts_list.Rd`

A list is a vector of other robjects, which may or may not be named.

## Usage

    ts_list(...)

## Arguments

...

  A list of types, named or unnamed.

## Value

A ts object that accepts lists with the specified types.

## Examples

    x <- ts_list(a = ts_integer(1), b = ts_character(1))
    x$check(list(a = 1L, b = "a"))
    #> $a
    #> [1] 1
    #>
    #> $b
    #> [1] "a"
    #>